#include <stdint.h>

struct _yrtag_stack32;
typedef struct _yrtag_stack32 yrStack32;

yrStack32*	yrStack32_create(size_t size);
void		yrStack32_destroy(yrStack32* s);

uint32_t*	yrStack32_get_ptr(yrStack32* s);
size_t		yrStack32_get_size(yrStack32* s);
size_t		yrStack32_get_top(yrStack32* s);
void		yrStack32_set_top(yrStack32* s, size_t t);

int			yrStack32_is_empty(yrStack32* s);
uint32_t	yrStack32_pop(yrStack32* s);
void		yrStack32_push(yrStack32* s, uint32_t v);